﻿2026-06-02T10:47:23.1110929Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-02T10:47:23.1112587Z with:
2026-06-02T10:47:23.1113602Z   components: clippy
2026-06-02T10:47:23.1115063Z   toolchain: stable
2026-06-02T10:47:23.1116197Z ##[endgroup]
2026-06-02T10:47:23.1348064Z ##[group]Run : parse toolchain version
2026-06-02T10:47:23.1349422Z [36;1m: parse toolchain version[0m
2026-06-02T10:47:23.1350820Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-02T10:47:23.1352872Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-02T10:47:23.1355261Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-02T10:47:23.1356537Z [36;1m  exit 1[0m
2026-06-02T10:47:23.1357910Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-02T10:47:23.1359610Z [36;1m  if [[ Linux == macOS ]]; then[0m
2026-06-02T10:47:23.1361684Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:23.1363815Z [36;1m  else[0m
2026-06-02T10:47:23.1365836Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:23.1367809Z [36;1m  fi[0m
2026-06-02T10:47:23.1369056Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-02T10:47:23.1371205Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:23.1373086Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-02T10:47:23.1375361Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:23.1377419Z [36;1melse[0m
2026-06-02T10:47:23.1378466Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:23.1379743Z [36;1mfi[0m
2026-06-02T10:47:23.1412543Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:23.1413972Z env:
2026-06-02T10:47:23.1416068Z   toolchain: stable
2026-06-02T10:47:23.1417415Z ##[endgroup]
2026-06-02T10:47:23.1648257Z ##[group]Run : construct rustup command line
2026-06-02T10:47:23.1649617Z [36;1m: construct rustup command line[0m
2026-06-02T10:47:23.1651463Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:23.1653987Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:23.1656330Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:23.1684201Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:23.1685989Z env:
2026-06-02T10:47:23.1686843Z   targets: 
2026-06-02T10:47:23.1687728Z   components: clippy
2026-06-02T10:47:23.1688686Z ##[endgroup]
2026-06-02T10:47:23.1810186Z ##[group]Run : set $CARGO_HOME
2026-06-02T10:47:23.1811262Z [36;1m: set $CARGO_HOME[0m
2026-06-02T10:47:23.1812601Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$HOME/.cargo"} >> $GITHUB_ENV[0m
2026-06-02T10:47:23.1840455Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:23.1841822Z ##[endgroup]
2026-06-02T10:47:23.1962092Z ##[group]Run : install rustup if needed
2026-06-02T10:47:23.1963309Z [36;1m: install rustup if needed[0m
2026-06-02T10:47:23.1964848Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-02T10:47:23.1967714Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://sh.rustup.rs | sh -s -- --default-toolchain none -y[0m
2026-06-02T10:47:23.1970513Z [36;1m  echo "$CARGO_HOME/bin" >> $GITHUB_PATH[0m
2026-06-02T10:47:23.1971715Z [36;1mfi[0m
2026-06-02T10:47:23.1998739Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:23.2000089Z env:
2026-06-02T10:47:23.2000921Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:23.2002033Z ##[endgroup]
2026-06-02T10:47:23.2130439Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-02T10:47:23.2132971Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-02T10:47:23.2162292Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:23.2163783Z env:
2026-06-02T10:47:23.2164861Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:23.2165947Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-02T10:47:23.2166930Z ##[endgroup]
2026-06-02T10:47:23.5215008Z info: syncing channel updates for stable-x86_64-unknown-linux-gnu
2026-06-02T10:47:23.8220586Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:47:23.8541935Z info: removing previous version of component clippy
2026-06-02T10:47:23.8640314Z info: removing previous version of component rustfmt
2026-06-02T10:47:23.8657326Z info: removing previous version of component cargo
2026-06-02T10:47:23.8722765Z info: removing previous version of component rust-std
2026-06-02T10:47:23.8848448Z info: removing previous version of component rustc
2026-06-02T10:47:23.8918350Z info: downloading 5 components
2026-06-02T10:47:32.6170476Z 
2026-06-02T10:47:32.6256700Z   stable-x86_64-unknown-linux-gnu updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-02T10:47:32.6257910Z 
2026-06-02T10:47:32.6353503Z ##[group]Run rustup default stable
2026-06-02T10:47:32.6353831Z [36;1mrustup default stable[0m
2026-06-02T10:47:32.6379128Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.6379491Z env:
2026-06-02T10:47:32.6379700Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:32.6379994Z ##[endgroup]
2026-06-02T10:47:32.6481930Z info: using existing install for stable-x86_64-unknown-linux-gnu
2026-06-02T10:47:32.6489301Z info: default toolchain set to stable-x86_64-unknown-linux-gnu
2026-06-02T10:47:32.6489975Z 
2026-06-02T10:47:32.6558624Z   stable-x86_64-unknown-linux-gnu unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:47:32.6559573Z 
2026-06-02T10:47:32.6593212Z ##[group]Run : create cachekey
2026-06-02T10:47:32.6593545Z [36;1m: create cachekey[0m
2026-06-02T10:47:32.6594093Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-02T10:47:32.6595289Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-02T10:47:32.6595854Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:47:32.6620424Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.6620788Z env:
2026-06-02T10:47:32.6620989Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:32.6621255Z ##[endgroup]
2026-06-02T10:47:32.6967335Z ##[group]Run : disable incremental compilation
2026-06-02T10:47:32.6967744Z [36;1m: disable incremental compilation[0m
2026-06-02T10:47:32.6968083Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-02T10:47:32.6968466Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-02T10:47:32.6968772Z [36;1mfi[0m
2026-06-02T10:47:32.6994226Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.6994938Z env:
2026-06-02T10:47:32.6995151Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:32.6995430Z ##[endgroup]
2026-06-02T10:47:32.7058471Z ##[group]Run : enable colors in Cargo output
2026-06-02T10:47:32.7058815Z [36;1m: enable colors in Cargo output[0m
2026-06-02T10:47:32.7059137Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-02T10:47:32.7059475Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-02T10:47:32.7059775Z [36;1mfi[0m
2026-06-02T10:47:32.7082396Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.7082741Z env:
2026-06-02T10:47:32.7082939Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:32.7083189Z   CARGO_INCREMENTAL: 0
2026-06-02T10:47:32.7083398Z ##[endgroup]
2026-06-02T10:47:32.7173765Z ##[group]Run : enable Cargo sparse registry
2026-06-02T10:47:32.7174733Z [36;1m: enable Cargo sparse registry[0m
2026-06-02T10:47:32.7175136Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-02T10:47:32.7175856Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-02T10:47:32.7176749Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-02T10:47:32.7177323Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-02T10:47:32.7177872Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-02T10:47:32.7178373Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-02T10:47:32.7178939Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-02T10:47:32.7179475Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-02T10:47:32.7179829Z [36;1m  fi[0m
2026-06-02T10:47:32.7180023Z [36;1mfi[0m
2026-06-02T10:47:32.7202914Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.7203261Z env:
2026-06-02T10:47:32.7203458Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:32.7203722Z   CARGO_INCREMENTAL: 0
2026-06-02T10:47:32.7203950Z   CARGO_TERM_COLOR: always
2026-06-02T10:47:32.7204170Z ##[endgroup]
2026-06-02T10:47:32.7536061Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-02T10:47:32.7536716Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-02T10:47:32.7537539Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-02T10:47:32.7538470Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-02T10:47:32.7539149Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-02T10:47:32.7539636Z [36;1mfi[0m
2026-06-02T10:47:32.7566082Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.7566541Z env:
2026-06-02T10:47:32.7566796Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:32.7567133Z   CARGO_INCREMENTAL: 0
2026-06-02T10:47:32.7567420Z   CARGO_TERM_COLOR: always
2026-06-02T10:47:32.7567725Z ##[endgroup]
2026-06-02T10:47:32.7767516Z ##[group]Run rustc +stable --version --verbose
2026-06-02T10:47:32.7768042Z [36;1mrustc +stable --version --verbose[0m
2026-06-02T10:47:32.7793109Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:47:32.7793605Z env:
2026-06-02T10:47:32.7793886Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:47:32.7794253Z   CARGO_INCREMENTAL: 0
2026-06-02T10:47:32.7794860Z   CARGO_TERM_COLOR: always
2026-06-02T10:47:32.7795184Z ##[endgroup]
2026-06-02T10:47:32.7950726Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:47:32.7955136Z binary: rustc
2026-06-02T10:47:32.7955911Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-02T10:47:32.7956685Z commit-date: 2026-05-25
2026-06-02T10:47:32.7957230Z host: x86_64-unknown-linux-gnu
2026-06-02T10:47:32.7957845Z release: 1.96.0
2026-06-02T10:47:32.7958523Z LLVM version: 22.1.2
